%define url_ver	%(echo %{version}|cut -d. -f1,2)

# don't provides plugin .sos
%global __provides_exclude_from %{_libdir}/(nautilus|caja|nemo)/extensions-.\\.0/.*\\.so

Summary:	Configurable context menu for Nautilus, Caja and Nemo
Name:		filemanager-actions
Version:	3.4
Release:	%mkrel 4
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://www.nautilus-actions.org/
BuildRequires:	intltool
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(libgtop-2.0)
BuildRequires:	pkgconfig(xml2po)
BuildRequires:	pkgconfig(libcaja-extension)
BuildRequires:	pkgconfig(libnautilus-extension)
BuildRequires:	pkgconfig(libnemo-extension)
#needed to get correct deps for na-gconf2key.sh
BuildRequires:	pdksh
BuildRequires:	scrollkeeper

%description
An extension for Nautilus, Caja and Nemo file managers which allows the user
to add arbitrary program to be launched through the file manager popup menu
of selected files.

%package nautilus
Summary:	Configurable context menu for Nautilus
Group:		Graphical desktop/MATE
Requires:	%{name} = %{version}-%{release}
Provides:	nautilus-actions = %{version}-%{release}
Obsoletes:	nautilus-actions < 3.4

%description nautilus
An extension for Nautilus. It allow to configure program to be launch on
files selected into Nautilus interface.

%package caja
Summary:	Configurable context menu for Caja
Group:		Graphical desktop/MATE
Requires:	%{name} = %{version}-%{release}

%description caja
An extension for Caja. It allow to configure program to be launch on
files selected into Caja interface.

%package nemo
Summary:	Configurable context menu for Nemo
Group:		Graphical desktop/Cinnamon
Requires:	%{name} = %{version}-%{release}

%description nemo
An extension for Nemo. It allow to configure program to be launch on
files selected into Nemo interface.

%package devel
Group:		Development/C
Summary:	Development files of %name
Requires:	%{name} = %{version}-%{release}
Obsoletes:	nautilus-actions-devel < 3.4

%description devel
Install this if you want to build extensions for %{name}.

%prep
%setup -q

%build
%configure \
	--enable-gconf \
	--disable-schemas-install \
	--with-nautilus \
	--with-caja \
	--with-nemo
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

#let files section handle docs
rm -rf %{buildroot}%{_defaultdocdir}

%find_lang %{name} --all-name --with-gnome

#more lang files
for omf in %{buildroot}%{_datadir}/omf/*/*-??*.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%{buildroot}!!)" >> %{name}.lang
done

%files -f %{name}.lang
%doc AUTHORS README TODO NEWS MAINTAINERS
%doc docs/objects-hierarchy.odg
%{_bindir}/*
%{_libdir}/%{name}/
%{_libexecdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/applications/fma-config-tool.desktop
%{_datadir}/fma-config-tool/

%files nautilus
%{_libdir}/nautilus/extensions-3.0/libfma-nautilus-*.so

%files caja
%{_libdir}/caja/extensions-2.0/libfma-caja-*.so

%files nemo
%{_libdir}/nemo/extensions-3.0/libfma-nemo-*.so

%files devel
%doc %{_datadir}/gtk-doc/html/filemanager-actions-3/
%{_includedir}/%{name}/


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 3.4-4.mga8
+ Revision: 1522191
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jan 23 2019 daviddavid <daviddavid> 3.4-3.mga7
+ Revision: 1360162
- add missing BR on scrollkeeper to fix build

* Sun Sep 23 2018 umeabot <umeabot> 3.4-2.mga7
+ Revision: 1297698
- Mageia 7 Mass Rebuild

* Sat Jun 16 2018 wally <wally> 3.4-1.mga7
+ Revision: 1237203
- rename as filemanager-actions
- new version 3.4
- create sub pkgs for nautilus, caja and nemo

* Wed Sep 13 2017 tv <tv> 3.2.4-6.mga7
+ Revision: 1153557
- rebuild for new libgtop

* Thu Feb 04 2016 umeabot <umeabot> 3.2.4-5.mga6
+ Revision: 935038
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.2.4-4.mga5
+ Revision: 743686
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 3.2.4-3.mga5
+ Revision: 725123
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 3.2.4-2.mga5
+ Revision: 682803
- Mageia 5 Mass Rebuild

* Wed Aug 06 2014 ovitters <ovitters> 3.2.4-1.mga5
+ Revision: 660067
- new version 3.2.4

* Wed Jun 04 2014 fwang <fwang> 3.2.3-2.mga5
+ Revision: 632767
- rebuild for new gtop

* Tue Feb 04 2014 dams <dams> 3.2.3-1.mga5
+ Revision: 581025
- new version 3.2.3

* Fri Oct 18 2013 umeabot <umeabot> 3.2.2-4.mga4
+ Revision: 508146
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 pterjan <pterjan> 3.2.2-2.mga3
+ Revision: 337464
- Fix for _libdir != _libexecdir

* Fri Mar 09 2012 fwang <fwang> 3.2.2-1.mga2
+ Revision: 222020
- drop merged patch
- new version 3.2.2

* Fri Mar 02 2012 wally <wally> 3.2.0-1.mga2
+ Revision: 216851
- add missing BR
- fix file list
+ ovitters <ovitters>
- add xsltproc to buildrequires
- new version 3.2.0

* Sat Dec 10 2011 wally <wally> 3.1.5-2.mga2
+ Revision: 180304
- add BR pdksh

* Sat Dec 10 2011 wally <wally> 3.1.5-1.mga2
+ Revision: 180244
- new version 3.1.5
- clean .spec
- don't generate gtk-docs
- imported package nautilus-actions

